version.h File Reference

Define preprocessor symbols for the library version. More...

## Macros

#define | XAPIAN_ENABLE_VISIBILITY
| The library was compiled with GCC's -fvisibility=hidden option.
#define | XAPIAN_VERSION "1.3.4"
| The version of Xapian as a C string literal.
#define | XAPIAN_MAJOR_VERSION 1
| The major component of the Xapian version. More...
#define | XAPIAN_MINOR_VERSION 3
| The minor component of the Xapian version. More...
#define | XAPIAN_REVISION 4
| The revision component of the Xapian version. More...
#define | XAPIAN_DOCID_BASE_TYPE int
| Base (signed) type for Xapian::docid and related types.
#define | XAPIAN_TERMCOUNT_BASE_TYPE int
| Base (signed) type for Xapian::termcount and related types.
#define | XAPIAN_HAS_CHERT_BACKEND 1
| XAPIAN_HAS_CHERT_BACKEND Defined if the chert backend is enabled.
#define | XAPIAN_HAS_GLASS_BACKEND 1
| XAPIAN_HAS_GLASS_BACKEND Defined if the glass backend is enabled.
#define | XAPIAN_HAS_INMEMORY_BACKEND 1
| XAPIAN_HAS_INMEMORY_BACKEND Defined if the inmemory backend is enabled.
#define | XAPIAN_HAS_REMOTE_BACKEND 1
| XAPIAN_HAS_REMOTE_BACKEND Defined if the remote backend is enabled.

## Detailed Description

Define preprocessor symbols for the library version.

## Macro Definition Documentation

#define XAPIAN_MAJOR_VERSION 1

The major component of the Xapian version.

E.g. for Xapian 1.0.14 this would be: 1

#define XAPIAN_MINOR_VERSION 3

The minor component of the Xapian version.

E.g. for Xapian 1.0.14 this would be: 0

#define XAPIAN_REVISION 4

The revision component of the Xapian version.

E.g. for Xapian 1.0.14 this would be: 14